{% extends "commodity/catalog/product-detail.html" %}
{% load i18n static cms_tags sekizai_tags sass_tags %}

{% block main-content %}

{% addtoblock "css" %}<link href="{% sass_src 'shop/css/bsp-scrollpanel.scss' %}" rel="stylesheet" type="text/css" />{% endaddtoblock %}

{% addtoblock "js" %}<script src="{% static 'node_modules/angular-bootstrap-plus/src/scrollpanel/scrollpanel.js' %}" type="text/javascript"></script>{% endaddtoblock %}
{% add_data "ng-requires" "bs-plus.scrollpanel" %}

<div class="container">
	<div class="row">
		<div class="col col-md-10 offset-md-1">
			<h1>{% render_model product "product_name" %}</h1>
			<bsp-scrollpanel class="shop-product-detail">
				<ul>{% for img in product.images.all %}
					<li><img src="{{ img.url }}" alt="{{ product.product_name }}" /></li>
				{% endfor %}</ul>
			</bsp-scrollpanel>
		</div>
		<div class="col col-md-10 offset-md-1">
			<h4>{% trans "Details" %}</h4>
			{{ product.description|safe }}
			<ul class="list-group mb-3">
				<li class="list-group-item d-flex">
					<div class="w-50">{% trans "Brand" %}:</div>
					<strong>{{ product.brand }}</strong>
				</li>
				<li class="list-group-item d-flex">
					<div class="w-50">{% trans "Color" %}:</div>
					<strong>{{ product.color }}</strong>
				</li>
				<li class="list-group-item d-flex">
					<div class="w-50">{% trans "Categories" %}:</div>
					{% for caterogy in product.caterogies.objects.all %}
					<strong>{{ caterogy.name }}</strong>
					{% endfor %}	
				</li>
				<li class="list-group-item d-flex">
					<div class="w-50">{% trans "Weight" %}:</div>
					<strong>{{ product.weight }} g</strong>
				</li>
			</ul>

			<!-- include "Add to Cart" dialog box -->
			{% include "commodity/catalog/wearable-add2cart.html" with use_modal_dialog=True card_css_classes="mb-3" %}
		</div>
	</div>
</div>

{% include "shop/catalog/bsp-scrollpanel.tmpl.html" %}

{% endblock main-content %}
